Page MenuHomePhabricator

Investigation: Why doesn't LoginNotify work well with MediaWiki Vagrant + the Echo role
Closed, ResolvedPublic5 Estimated Story Points

Description

Both Leon and Niharika have reported problems with using LoginNotify with MediaWiki Vagrant + Echo role. Figure out why it's causing errors and how to address those (and make sure they aren't problems that will occur in production). This may be due to the fact that LoginNotify interfaces with CentralAuth in mutli-wiki environments (and the code that interfaces with CentralAuth may be out of date).

Event Timeline

kaldari created this task.Mar 21 2017, 11:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2017, 11:15 PM
kaldari renamed this task from Investigation: Why doesn't LoginNotify work well with MediaWiki Vagrant + the Echo roll to Investigation: Why doesn't LoginNotify work well with MediaWiki Vagrant + the Echo role.Mar 21 2017, 11:16 PM
kaldari updated the task description. (Show Details)
kaldari triaged this task as High priority.Mar 21 2017, 11:18 PM
kaldari set the point value for this task to 5.
kaldari moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
kaldari updated the task description. (Show Details)Mar 25 2017, 2:10 AM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika claimed this task.Apr 3 2017, 10:04 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

I figured out that the missing piece for getting it to work both locally and on commtech wiki was a composer update. The strange bit is I did run vagrant git-update for both which I am pretty certain does a composer update. Anyway, doing it manually fixed the problem. Now it does work for me. We should create a vagrant role for LoginNotify to avoid this problem for anyone who wants to contribute to the extension.

Also, I found a bug. If I do failed attempts to login to an account twice, it issues me two notifications:

Tried again with three failed attempts:

I've filed tickets for both: T162103: Create a vagrant role for installing LoginNotify with vagrant and T162104: Fix multiple/repetitive notifications with LoginNotify

kaldari closed this task as Resolved.Apr 5 2017, 6:28 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Apr 25 2017, 1:45 AM